/**
 * CopyRight (C) 2017-2022 Alibaba Group Holding Limited.
 * Created by Tw93 on 18/03/22
 */
import Binding from 'weex-bindingx/lib/index.weex.js';
import Platform from '@/common/platform';

const BindEnv = {
  supportsEB () {
    return Binding.isSupportBinding && !Platform.isWeb();
  },

  /**
   * 判断Android容器是否支持是否支持expressionBinding(处理方式很不一致)
   * @returns {boolean}
   */
  supportsEBForAndroid () {
    return (Platform.isAndroid()) && BindEnv.supportsEB();
  },

  /**
   * 判断IOS容器是否支持是否支持expressionBinding
   * @returns {boolean}
   */
  supportsEBForIos () {
    return (Platform.isIos()) && BindEnv.supportsEB();
  }
}

export default BindEnv;
